.TH "pyspottedunipd.cli" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.cli \- 
.SH SYNOPSIS
.br
.PP
.SS "Functions"

.in +1c
.ti -1c
.RI "def \fBcreate_args\fP ()"
.br
.ti -1c
.RI "def \fBparse_args\fP (parser)"
.br
.ti -1c
.RI "def \fBcheck_args\fP (token, min_post_count, format_out, path_out)"
.br
.ti -1c
.RI "def \fBmain\fP ()"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "list \fBAVAILABLE_OUTPUT_FORMATS\fP = ['json', 'csv']"
.br
.ti -1c
.RI "string \fBSPOTTED_UNIPD_PAGE_ID\fP = '471034402958762'"
.br
.ti -1c
.RI "int \fBNUMBER_OF_POSTS_TO_FETCH\fP = 5000"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "def pyspottedunipd\&.cli\&.check_args ( token,  min_post_count,  format_out,  path_out)"

.PP
.nf
:param token: str
    Token to use Facebook API
:param min_post_count: float
    Minimum number of posts to fetch
:param format_out: str
    Format of output file (json, csv)
:param path_out: str
    File to use as output
:return: bool
    True iff args are correct

.fi
.PP
 
.PP
Definition at line 57 of file cli\&.py\&.
.SS "def pyspottedunipd\&.cli\&.create_args ()"

.PP
.nf
:return: ArgumentParser
    Parser that handles cmd arguments.

.fi
.PP
 
.PP
Definition at line 29 of file cli\&.py\&.
.SS "def pyspottedunipd\&.cli\&.main ()"

.PP
Definition at line 81 of file cli\&.py\&.
.SS "def pyspottedunipd\&.cli\&.parse_args ( parser)"

.PP
.nf
:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.

.fi
.PP
 
.PP
Definition at line 44 of file cli\&.py\&.
.SH "Variable Documentation"
.PP 
.SS "list pyspottedunipd\&.cli\&.AVAILABLE_OUTPUT_FORMATS = ['json', 'csv']"

.PP
Definition at line 24 of file cli\&.py\&.
.SS "int pyspottedunipd\&.cli\&.NUMBER_OF_POSTS_TO_FETCH = 5000"

.PP
Definition at line 26 of file cli\&.py\&.
.SS "string pyspottedunipd\&.cli\&.SPOTTED_UNIPD_PAGE_ID = '471034402958762'"

.PP
Definition at line 25 of file cli\&.py\&.
.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
